package com.emr.dao.templateSearch;

import com.emr.entity.templateSearch.Emr_Modle_Related;
import com.emr.vo.templateSearch.Emr_Modle_RelatedVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

public interface Emr_Modle_RelatedMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Emr_Modle_Related record);

    int insertSelective(Emr_Modle_Related record);

    Emr_Modle_Related selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Emr_Modle_Related record);

    int updateByPrimaryKey(Emr_Modle_Related record);

    /**
     * 按模板id查询集合
     * */
    List<Emr_Modle_RelatedVo> selectAllByModleId(@Param("modleId") Integer modleId);
    /**
     * 按字段id删除集合
     * */
    void deleteByCustomizeId(@Param("customizeId") Integer customizeId);
    /**
     * 按模板id删除集合
     * */
    void deleteByModleId(@Param("modleId") Integer modleId);
    /**
     * 批量添加
     * */
    int SimpleInsert(@Param("list")List<Emr_Modle_Related> list);
}